<template>
  <v-app>
    <v-content>
      <v-container>
        <div>
          <h2>Sözlü notu vermenin/istemenin en kolay yolu</h2>
          <p>Sevgili öğretmenler, öğrencinin karne notunun ne olması gerektiğine karar verdiniz fakat sözlü notlarını mı
            hesaplayamıyorsunuz!?
          </p>
          <p>Sevgili öğrenciler, karneye düşmesini istediğiniz not için öğretmenleri kaçar puan sözlü notu için
            darlayacağınızı hesaplayamadınız mı!?
          </p>
          <p>Aşağıdaki forma gerekli bilgileri girerek sözlü notlarını hesaplamak artık çok kolay!</p>
        </div>
        <v-form ref="temizle">
          <v-row>
            <v-col cols="12" sm="6" md="4">
              <h5>Öğrencinin adı sayadı</h5>
              <v-text-field label="öğrenci ad soyad" solo type=string v-model="table.name"></v-text-field>
            </v-col>
            <v-col cols="12" sm="6" md="1">
              <h5>Öğrenci no</h5>
              <v-text-field label="öğrenci no" solo type=number v-model="table.number"></v-text-field>
            </v-col>
            <v-col cols="12" sm="6" md="1">
              <h5>1. yazılı</h5>
              <v-text-field label="1. yazılı notu" solo type=number v-model="table.eva1"></v-text-field>
            </v-col>
            <v-col cols="12" sm="6" md="1">
              <h5>2. yazılı</h5>
              <v-text-field label="2. yazılı notu" solo type=number v-model="table.eva2"></v-text-field>
            </v-col>
            <v-col cols="12" sm="6" md="1">
              <h5>Proje Notu</h5>
              <v-text-field label="Proje Notu" solo type=number v-model="table.project"></v-text-field>
            </v-col>
            <v-col cols="12" sm="6" md="1">
              <h5>Karne Notu</h5>
              <v-text-field label="istenilen karne notu" solo type=number v-model="table.cert"></v-text-field>
            </v-col>
          </v-row>
          <v-btn @click.prevent="hesap">Hesapla</v-btn>
        </v-form>
        <br>
        <v-alert border="left" type="error" dark v-if="alert">
          VERİLMEK İSTENEN KARNE NOTU İÇİN SÖZLÜLERİN 100 PUANDAN FAZLA OLMASI GEREKİYOR VE BU İMKANSIZ! LÜTFEN BAŞKA
          BİR YOL DENEYİN!
        </v-alert>

        <v-data-table :headers="headers" :items="information" class="elevation-1">
          <template v-slot:item.cert="{ item }">
            <v-chip :color="getColor(item.cert)" dark>{{ item.cert }}</v-chip>
          </template>
        </v-data-table>
      </v-container>
    </v-content>
  </v-app>
</template>

<script>
  export default {
    data() {
      return {
        table: {
          id: 0,
          name: '',
          number: '',
          eva1: '',
          eva2: '',
          avarage: '',
          project: '',
          cert: '',
          verbal1: '',
          verbal2: ''
        },
        idForForm: 1,
        alert: false,
        headers: [{
            text: 'Öğrencinin Adı Soyadı',
            align: 'left',
            sortable: true,
            value: 'name',
          },
          {
            text: 'Öğrenci No',
            value: 'number'
          },
          {
            text: '1. Karne Notu',
            value: 'eva1'
          },
          {
            text: '2. Karne Notu',
            value: 'eva2'
          },
          {
            text: 'Karne Notu Ortalaması',
            value: 'avarage'
          },
          {
            text: 'Proje Notu Ortalaması',
            value: 'project'
          },
          {
            text: 'İstenilen Karne Notu',
            value: 'cert'
          },
          {
            text: 'Sözlü Notu 1',
            value: 'verbal1'
          },
          {
            text: 'Sözlü Notu 2',
            value: 'verbal2'
          },
        ],
        information: [{
          id: null,
          name: '',
          number: null,
          eva1: null,
          eva2: null,
          avarage: null,
          project: null,
          cert: null,
          verbal1: null,
          verbal2: null
        }],



      }
    },
    methods: {
      hesap() {
        let a = parseInt(this.table.eva1)
        let b = parseInt(this.table.eva2)
        let c = parseInt(this.table.project)
        let d = parseInt(this.table.cert)
        this.table.avarage = (a + b) / 2
        if (this.table.project == null || this.table.project == '') {
          var e = 2 * (3 * d - a - b)
        } else {
          var e = 2 * (6 * d - 2 * a - 2 * b - c)
        }
        if (e > 200) {
          this.alert = true
          this.table.cert = ''
          this.table.verbal1 = ''
          this.table.verbal2 = ''
        } else {
          this.alert = false
          this.table.verbal1 = Math.ceil(e / 2)
          this.table.verbal2 = Math.ceil(e / 2)
          this.information.push({
            id: this.idForForm,
            name: this.table.name,
            number: this.table.number,
            eva1: this.table.eva1,
            eva2: this.table.eva2,
            avarage: this.table.avarage,
            project: this.table.project,
            cert: this.table.cert,
            verbal1: this.table.verbal1,
            verbal2: this.table.verbal2
          })
        }
        this.$refs.temizle.reset()
        this.idForForm++
      },
      getColor(cert) {
        if (cert === 0 || cert === null) return 'transparent'
        else if (cert <= 44) return 'red'
        else if (cert <= 54) return 'orange'
        else if (cert <= 69) return 'yellow'
        else if (cert <= 84) return 'blue'
        else if (cert >= 85) return 'green'
      },
    }
  }

</script>
